Debian Bug report logs - #598152
clisp: FTBFS on ARM EABI (armel)

Package: clisp; Maintainer for clisp is Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>; Source for clisp is src:clisp.

Reported by: Hector Oron <zumbi@abel.debian.org>

Date: Sun, 26 Sep 2010 23:03:01 UTC

Severity: normal

Tags: fixed-upstream, patch, pending

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3076163&group_id=1355&atid=101355

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Sun, 26 Sep 2010 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@abel.debian.org>:
New Bug report received and forwarded. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

2.48/2.49

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 26 Sep 2010 23:03:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@abel.debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clisp: FTBFS on ARM EABI (armel)
Date: Sun, 26 Sep 2010 22:58:25 +0000
Package: clisp
Version: 2.48/2.49
Severity: normal


Hello,

  I have been trying to build `clisp' on armel without success.

  For 2.48 (current source in sid):

  I get the following bug: (reported to upstream) [1]
  
CLISP="/home/zumbi/clisp-2.48/debian/build/clisp -K boot -B /home/zumbi/clisp-2.48/debian/build -N /home/zumbi/clisp-2.48/debian/build/locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc" ; cd syscalls ; /usr/bin/make clisp-module CC="arm-linux-gnueabi-gcc" CPPFLAGS="-I/home/zumbi/clisp-2.48/debian/build/gllib" CFLAGS="-g -O2 -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -O2 -falign-functions=4 -DUNICODE -I." CLFLAGS="" LIBS="/usr/lib/libreadline.so -lncurses -ldl /usr/lib/libavcall.so /usr/lib/libcallback.so -L/usr/lib -lsigsegv" RANLIB="ranlib" CLISP="$CLISP -q" SHREXT=.so
make[2]: Entering directory `/home/zumbi/clisp-2.48/debian/build/syscalls'
arm-linux-gnueabi-gcc -I/home/zumbi/clisp-2.48/debian/build/gllib -g -O2 -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -O2 -falign-functions=4 -DUNICODE -I. -I$(/home/zumbi/clisp-2.48/debian/build/clisp -K boot -B /home/zumbi/clisp-2.48/debian/build -N /home/zumbi/clisp-2.48/debian/build/locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -q -b)/linkkit -c calls.m.c -o calls.o
In file included from /usr/include/sys/procfs.h:34,
from /usr/include/sys/ucontext.h:26,
from /usr/include/signal.h:359,
from /usr/include/sys/wait.h:31,
from calls.c:46:
/usr/include/sys/user.h:31: error: expected identifier or ‘(’ before ‘void’
/usr/include/sys/user.h:32: error: expected ‘;’ before ‘unsigned’
make[2]: *** [calls.o] Error 1
make[2]: Leaving directory `/home/zumbi/clisp-2.48/debian/build/syscalls'
make[1]: *** [syscalls] Error 2
make[1]: Leaving directory `/home/zumbi/clisp-2.48/debian/build'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

  For 2.49 (latest upstream release), it also fails but on another part, when building i18n (also reported to upstream) [2]

configure: loading cache ../config.cache
configure: error: `build_alias' was set to `arm-linux-gnueabi' in the previous run
configure: error: in `/home/zumbi/clisp-2.49/debian/build/i18n':
configure: error: changes in the environment can compromise the build
configure: error: run `make distclean' and/or `rm ../config.cache' and start over

  after removing config.cache file:

test -f $m/Makefile -a $m/Makefile -nt i18n/Makefile && sed
"s,srcdir = .,srcdir = $m," "$m/Makefile" > i18n/Makefile ; \
CLISP="/home/zumbi/clisp-2.49/debian/build/clisp -K boot -E UTF-8
-Epathname 1:1 -Emisc 1:1 -norc" ; \
cd i18n ; /usr/bin/make clisp-module CC="arm-linux-gnueabi-gcc"
CPPFLAGS="-I/home/zumbi/clisp-2.49/debian/build/gllib
-I/home/zumbi/clisp-2.49/debian/build" CFLAGS="-g -O2 -W -Wswitch -Wcomment
-Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations
-Wno-sign-compare -Wno-format-nonliteral -O2 -falign-functions=4
-DENABLE_UNICODE -DDYNAMIC_MODULES -I. -fPIC" CLFLAGS="
-Wl,--export-dynamic" LIBS="/usr/lib/libreadline.so -lncurses -ldl
/usr/lib/libavcall.so /usr/lib/libcallback.so -L/usr/lib -lsigsegv
libgnu_cl.a" RANLIB="ranlib" CLISP="$CLISP -q" SHREXT=.so
configure: ** I18N (Common)
checking how to remove colons from paths... echo $x
checking for clisp... no
checking for CLISP... no
configure: error: CLISP not found


[1] https://sourceforge.net/tracker/?func=detail&aid=3076163&group_id=1355&atid=101355
[2] https://sourceforge.net/tracker/?func=detail&aid=3076160&group_id=1355&atid=101355

-- System Information:
Debian Release: 5.0.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.32
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail'. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 23:09:04 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3076163&group_id=1355&atid=101355' from 'https://sourceforge.net/tracker/?func=detail' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 23:09:07 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail\&aid=3076163\&group_id=1355\&atid=101355' from 'https://sourceforge.net/tracker/?func=detail&aid=3076163&group_id=1355&atid=101355' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 23:09:09 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3076163&group_id=1355&atid=101355' from 'https://sourceforge.net/tracker/?func=detail\&aid=3076163\&group_id=1355\&atid=101355' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 26 Sep 2010 23:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Mon, 27 Sep 2010 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@mailworks.org>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Mon, 27 Sep 2010 18:21:06 GMT) Full text and rfc822 format available.

Message #18 received at submit@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@mailworks.org>
To: Hector Oron <zumbi@abel.debian.org>, 598152@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Mon, 27 Sep 2010 20:19:25 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hello Hector,

On 27/09/10 00:58, Hector Oron wrote:
>   For 2.49 (latest upstream release), it also fails but on another part, when building i18n (also reported to upstream) [2]
> 
> configure: loading cache ../config.cache
> configure: error: `build_alias' was set to `arm-linux-gnueabi' in the previous run
> configure: error: in `/home/zumbi/clisp-2.49/debian/build/i18n':
> configure: error: changes in the environment can compromise the build
> configure: error: run `make distclean' and/or `rm ../config.cache' and start over

This is because the --host and --target system used by the configure of
clisp simply is something completely different from what the normal
configure does.

In the 'pvaneynd' branch of the git repository there is a reworked
version that, for me, worked.

Could you try that?

Best regards, Peter
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJMoOArAAoJEB4VNT76eIlauKwP/iY4hX26eWlWdkoTlWfKFop8
w3Pw2dkKwB5fHpgHoYn1mg0UfKNH3thsKlxCTozklo0YW229gXblFrnNbrXB5XRQ
2HtDueROpi5NlyRxZFJavcmOPSmxPT8pT3XTA4knNRW3IlY8wk2Y6O3v9pw1+2mE
Sc1+DgB30uALn7GtlhVEm19Q26YkClFkIXwYFWrGkQmZQ0NGZ+i4lkT0Ws28q4U/
ukpqCBm/jL4CkV7A0wEGhdO29D0dFr48LxuGKFvnBgRpL/yCnQaE7ZC/6Q6Ex1lh
Qj48dL6D/7G1htmmq1FwHo6sOJXvUKT5sfhp3fzmteEkTsb6IWnwEXzKJ1uJgswq
P4R6K5W9Y2vtiQwHPfxFSRi0g8oKAYKRyz6LTZC5PVv1Ib5t1YPj+VnzlKr5CIOB
c/yJG4zMJB9wKCUxdKT748SAgGBaRKFnau4EeGq9fy+UqYOwdG6FweJ+dLIo42kc
iGnBrfrdYGOyefXytp9dFHOF1ggwBn2wp3t15k+V1NbLEWxo7ul08ft6yKuEXOMP
4ORc+YxVgGZrISp7Ii2/JYUkBoLCPDBvom4w9E5wL7wTJHnjmbUqJjZS4dMZNI+D
qyuly10md7iQectECAcMMN3/jWBL1E4DLBEQKod0iPJWmDvLcU6W57xAVzN0YXOG
RNukdR6fJ32wWSvKEr5J
=uUo8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Mon, 27 Sep 2010 18:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@mailworks.org>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Mon, 27 Sep 2010 18:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Mon, 27 Sep 2010 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Mon, 27 Sep 2010 21:57:04 GMT) Full text and rfc822 format available.

Message #28 received at 598152@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Peter Van Eynde <pvaneynd@mailworks.org>
Cc: 598152@bugs.debian.org
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Mon, 27 Sep 2010 22:54:20 +0100
Hello,

2010/9/27 Peter Van Eynde <pvaneynd@mailworks.org>:
> In the 'pvaneynd' branch of the git repository there is a reworked
> version that, for me, worked.
>
> Could you try that?

I am trying it, but I am getting, also by-passing:
  dpkg-checkbuilddeps: Unmet build dependencies: libsigsegv-dev (>= 2.8)
  dpkg-checkbuilddeps: Build conflicts: libsigsegv-dev (<= 2.8)
which is not in the archive.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Mon, 27 Sep 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Mon, 27 Sep 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #33 received at 598152@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Peter Van Eynde <pvaneynd@mailworks.org>
Cc: 598152@bugs.debian.org
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Mon, 27 Sep 2010 23:30:25 +0100
Hello Peter,

> 2010/9/27 Peter Van Eynde <pvaneynd@mailworks.org>:
>> In the 'pvaneynd' branch of the git repository there is a reworked
>> version that, for me, worked.

I can confirm it also worked for me.
Would it be possible to include this version (armel enabled) into 'squeeze'.

Best regards,
- Hector

[...]
dpkg-deb: building package `clisp' in `../clisp_2.49-1_armel.deb'.
        dpkg-deb --build debian/clisp-dev ..
dpkg-deb: building package `clisp-dev' in `../clisp-dev_2.49-1_armel.deb'.
        dpkg-deb --build debian/clisp-module-berkeley-db ..
dpkg-deb: building package `clisp-module-berkeley-db' in
`../clisp-module-berkeley-db_2.49-1_armel.deb'.
        dpkg-deb --build debian/clisp-module-pcre ..
dpkg-deb: building package `clisp-module-pcre' in
`../clisp-module-pcre_2.49-1_armel.deb'.
        dpkg-deb --build debian/clisp-module-clx ..
dpkg-deb: building package `clisp-module-clx' in
`../clisp-module-clx_2.49-1_armel.deb'.
        dpkg-deb --build debian/clisp-module-rawsock ..
dpkg-deb: building package `clisp-module-rawsock' in
`../clisp-module-rawsock_2.49-1_armel.deb'.
        dpkg-deb --build debian/clisp-module-gdbm ..
dpkg-deb: building package `clisp-module-gdbm' in
`../clisp-module-gdbm_2.49-1_armel.deb'.
 dpkg-genchanges  >../clisp_2.49-1_armel.changes
dpkg-genchanges: including full source code in upload
 dpkg-source --after-build clisp-3d631ec



>>
>> Could you try that?
>
> I am trying it, but I am getting, also by-passing:
>  dpkg-checkbuilddeps: Unmet build dependencies: libsigsegv-dev (>= 2.8)
>  dpkg-checkbuilddeps: Build conflicts: libsigsegv-dev (<= 2.8)
> which is not in the archive.
>
> Best regards,
> --
>  Héctor Orón
>
> "Our Sun unleashes tremendous flares expelling hot gas into the Solar
> System, which one day will disconnect us."
>
> -- Day DVB-T stop working nicely
> Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
>



-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Tue, 28 Sep 2010 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 17:51:06 GMT) Full text and rfc822 format available.

Message #38 received at 598152@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Peter Van Eynde <pvaneynd@mailworks.org>
Cc: 598152@bugs.debian.org
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Tue, 28 Sep 2010 13:50:11 -0400
Hello Peter,

  Thanks to upstream, we also have a fix for 2.48
[...]
dpkg-deb: building package `clisp' in `../clisp_2.48-3_armel.deb'.
dpkg-deb: building package `clisp-dev' in `../clisp-dev_2.48-3_armel.deb'.
 dpkg-genchanges  >../clisp_2.48-3_armel.changes

The fix would be:

diff -Naur clisp-2.48/modules/syscalls/calls.c
clisp-2.48.fixed//modules/syscalls/calls.c
--- clisp-2.48/modules/syscalls/calls.c 2010-06-25 17:51:28.000000000 +0000
+++ clisp-2.48.fixed//modules/syscalls/calls.c  2010-09-28
17:00:23.000000000 +0000
@@ -43,6 +43,7 @@
 # include <sys/resource.h>
 #endif
 #if defined(HAVE_SYS_WAIT_H)
+#undef unused
 # include <sys/wait.h>   /* always present on unix, but not elsewhere */
 #endif
 #if defined(HAVE_SYS_STATVFS_H)

Would it be possible to enable armel build with this fix?

Best regards,
  -- Héctor Orón




Added tag(s) pending and patch. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 17:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Tue, 28 Sep 2010 18:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Tue, 28 Sep 2010 18:15:09 GMT) Full text and rfc822 format available.

Message #45 received at 598152@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Peter Van Eynde <pvaneynd@mailworks.org>
Cc: 598152@bugs.debian.org
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Tue, 28 Sep 2010 14:12:19 -0400
Hello,

2010/9/28 Hector Oron <hector.oron@gmail.com>:
> Hello Peter,
>
>  Thanks to upstream, we also have a fix for 2.48

You might want to follow the comments at:
https://sourceforge.net/tracker/?func=detail&atid=101355&aid=3076163&group_id=1355

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 30 Sep 2010 16:39:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Thu, 17 Nov 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Terry <michael.terry@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 17 Nov 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 598152@bugs.debian.org (full text, mbox):

From: Michael Terry <michael.terry@canonical.com>
To: 598152@bugs.debian.org
Subject: clisp: FTBFS on ARM EABI (armel)
Date: Thu, 17 Nov 2011 12:43:00 -0500
I get pretty far these days.  I was looking into why it was failing in 
Ubuntu and it gets to this point:

./lisp.run -B . -N locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -m 
2MW -lp /home/mterry/clisp-2.49/src/ -x '(and (load 
"/home/mterry/clisp-2.49/src/init.lisp") (sys::%saveinitmem) 
(ext::exit)) (ext::exit t)'
C_CODE_ALIGNMENT is wrong. &EVAL-WHEN = 0x36729.
Add -falign-functions=4 to CFLAGS in the Makefile.
make[1]: *** [interpreted.mem] Aborted

But everything appears to be compiled with -falign-functions=4 already...

-mt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Wed, 23 Nov 2011 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pvaneynd@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Wed, 23 Nov 2011 06:06:03 GMT) Full text and rfc822 format available.

Message #57 received at 598152@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: Michael Terry <michael.terry@canonical.com>, 598152@bugs.debian.org
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Wed, 23 Nov 2011 07:03:54 +0100
Hello Michael,

On 17/11/11 18:43, Michael Terry wrote:
> I get pretty far these days.  I was looking into why it was failing in
> Ubuntu and it gets to this point:
> 
> ./lisp.run -B . -N locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -m
> 2MW -lp /home/mterry/clisp-2.49/src/ -x '(and (load
> "/home/mterry/clisp-2.49/src/init.lisp") (sys::%saveinitmem)
> (ext::exit)) (ext::exit t)'
> C_CODE_ALIGNMENT is wrong. &EVAL-WHEN = 0x36729.
> Add -falign-functions=4 to CFLAGS in the Makefile.
> make[1]: *** [interpreted.mem] Aborted
> 
> But everything appears to be compiled with -falign-functions=4 already...

Could you try if disabling address space randomization helps? Do:

sudo sysctl -w kernel.randomize_va_space=0

and retry.

Best regards, Peter

-- 
signature -at- pvaneynd.mailworks.org
http://pvaneynd.dreamwidth.org/
God, root, what is difference?-Pitr|God is more forgiving.-Dave Aronson|




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Wed, 23 Nov 2011 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Terry <michael.terry@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Wed, 23 Nov 2011 19:33:07 GMT) Full text and rfc822 format available.

Message #62 received at 598152@bugs.debian.org (full text, mbox):

From: Michael Terry <michael.terry@canonical.com>
To: pvaneynd@debian.org
Cc: 598152@bugs.debian.org
Subject: Re: Bug#598152: clisp: FTBFS on ARM EABI (armel)
Date: Wed, 23 Nov 2011 14:27:58 -0500
Hi, Peter!

On Wed 23 Nov 2011 01:03:54 EST, Peter Van Eynde wrote:
> Could you try if disabling address space randomization helps? Do:
>
> sudo sysctl -w kernel.randomize_va_space=0

Unfortunately, I don't have access to an armel machine with 
unrestricted sudo.  I can build on Canonical porter machines, but I 
don't have full root.
-mt




Information forwarded to debian-bugs-dist@lists.debian.org, jonathan.w.lane@gmail.com, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#598152; Package clisp. (Fri, 01 Feb 2013 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Lane <jonathan.w.lane@gmail.com>:
Extra info received and forwarded to list. Copy sent to jonathan.w.lane@gmail.com, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Fri, 01 Feb 2013 21:21:04 GMT) Full text and rfc822 format available.

Message #67 received at 598152@bugs.debian.org (full text, mbox):

From: Jonathan Lane <jonathan.w.lane@gmail.com>
To: Debian Bug Tracking System <598152@bugs.debian.org>
Subject: clisp: BFS, even with FFI enabled
Date: Fri, 01 Feb 2013 16:18:39 -0500
Package: clisp
Followup-For: Bug #598152

Dear Maintainer,
clisp builds properly from source on Wheezy armel.  I commented out the
line disabling FFI in debian/rules, and it still built, ran, and
installed successfully.  I still get sigsegv errors when attempting to
run SLIME inside Emacs on Wheezy armel, but I suspect that has more to
do with the libsigsegv packages.


-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-4-kirkwood
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages clisp depends on:
ii  libc6         2.13-37
ii  libgcc1       1:4.7.2-5
ii  libncurses5   5.9-10
ii  libreadline5  5.2+dfsg-1
ii  libsigsegv2   2.9-4
ii  libtinfo5     5.9-10

clisp recommends no packages.

Versions of packages clisp suggests:
ii  clisp-dev  1:2.49-8.1
ii  clisp-doc  1:2.49-8.1
pn  gdb        <none>
ii  slime      1:20120525-2

-- no debconf information



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:16:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.